# $Id: snf.spec.proto,v 1.16 2002/06/13 09:59:48 philippe Exp $
%define name snf
%define version 8.2
%define release 12mdk

Summary: Single Network Firewall
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: System/Configuration/Other
#Source: %{name}-%{version}.tar.bz2
Buildroot: %{_tmppath}/%{name}-%{version}
BuildArch: noarch

%description
SNF defines the components of a Single Network Firewall System

%package en
Summary: Single Network Firewall
Group: System/Configuration/Other
PreReq: httpd-naat
PreReq: naat-frontend-www-en
PreReq: naat-backend
PreReq: naat-monitoring
#PreReq: mandrake_doc_security-en
Requires: curl
Requires: squid
Requires: squidGuard
Requires: DansGuardian
Requires: sarg
Requires: dhcp-server
Requires: bind
Requires: caching-nameserver
Requires: ipvsadm
Conflicts: Bastille
Requires: shorewall
Requires: iptoip
Requires: iptables
Requires: diald
Requires: prelude
Requires: snort
Requires: SnortSnarf
Requires: fwlogwatch
Requires: locales-en
# DHCP Client
Requires: pump
Requires: dhcpcd
Requires: dhcp-client
Requires: dhcpxd
# SSH
Requires: openssh, openssh-server, openssh-clients
Requires: ntp
Requires: newt
Requires: rp-pppoe, pptp-adsl, pptp-client
Requires: ez-ipupdate
Provides: snf

%package fr
Summary: Single Network Firewall
Group: System/Configuration/Other
PreReq: httpd-naat
PreReq: naat-frontend-www-fr
PreReq: naat-backend
PreReq: naat-monitoring
#PreReq: mandrake_doc_security-fr
Requires: sarg
Requires: curl
Requires: squid
Requires: squidGuard
Requires: DansGuardian
Requires: sarg
Requires: dhcp-server
Requires: bind
Requires: caching-nameserver
Requires: ipvsadm
Conflicts: Bastille
Requires: shorewall
Requires: iptoip
Requires: iptables
Requires: diald
Requires: prelude
Requires: snort
Requires: SnortSnarf
Requires: fwlogwatch
Requires: locales-fr
# DHCP Client
Requires: pump
Requires: dhcpcd
Requires: dhcp-client
Requires: dhcpxd
# SSH
Requires: openssh, openssh-server, openssh-clients
Requires: ntp
Requires: newt
Requires: rp-pppoe, pptp-adsl, pptp-client
Requires: ez-ipupdate
Provides: snf

%package de
Summary: Single Network Firewall
Group: System/Configuration/Other
PreReq: httpd-naat
PreReq: naat-frontend-www-de
PreReq: naat-backend
PreReq: naat-monitoring
#PreReq: mandrake_doc_security-de
Requires: sarg
Requires: curl
Requires: squid
Requires: squidGuard
Requires: DansGuardian
Requires: sarg
Requires: dhcp-server
Requires: bind
Requires: caching-nameserver
Requires: ipvsadm
Conflicts: Bastille
Requires: shorewall
Requires: iptoip
Requires: iptables
Requires: diald
Requires: prelude
Requires: snort
Requires: SnortSnarf
Requires: fwlogwatch
Requires: locales-de
# DHCP Client
Requires: pump
Requires: dhcpcd
Requires: dhcp-client
Requires: dhcpxd
# SSH
Requires: openssh, openssh-server, openssh-clients
Requires: ntp
Requires: newt
Requires: rp-pppoe, pptp-adsl, pptp-client
Requires: ez-ipupdate
Provides: snf

%package it
Summary: Single Network Firewall
Group: System/Configuration/Other
PreReq: httpd-naat
PreReq: naat-frontend-www-it
PreReq: naat-backend
PreReq: naat-monitoring
#PreReq: mandrake_doc_security-it
Requires: sarg
Requires: curl
Requires: squid
Requires: squidGuard
Requires: DansGuardian
Requires: sarg
Requires: dhcp-server
Requires: bind
Requires: caching-nameserver
Requires: ipvsadm
Conflicts: Bastille
Requires: shorewall
Requires: iptoip
Requires: iptables
Requires: diald
Requires: prelude
Requires: snort
Requires: SnortSnarf
Requires: fwlogwatch
Requires: locales-it
# DHCP Client
Requires: pump
Requires: dhcpcd
Requires: dhcp-client
Requires: dhcpxd
# SSH
Requires: openssh, openssh-server, openssh-clients
Requires: ntp
Requires: newt
Requires: rp-pppoe, pptp-adsl, pptp-client
Requires: ez-ipupdate
Provides: snf


%package es
Summary: Single Network Firewall
Group: System/Configuration/Other
PreReq: httpd-naat
PreReq: naat-frontend-www-es
PreReq: naat-backend
PreReq: naat-monitoring
#PreReq: mandrake_doc_security-es
Requires: sarg
Requires: curl
Requires: squid
Requires: squidGuard
Requires: DansGuardian
Requires: sarg
Requires: dhcp-server
Requires: bind
Requires: caching-nameserver
Requires: ipvsadm
Conflicts: Bastille
Requires: shorewall
Requires: iptoip
Requires: iptables
Requires: diald
Requires: prelude
Requires: snort
Requires: SnortSnarf
Requires: fwlogwatch
Requires: locales-es
# DHCP Client
Requires: pump
Requires: dhcpcd
Requires: dhcp-client
Requires: dhcpxd
# SSH
Requires: openssh, openssh-server, openssh-clients
Requires: ntp
Requires: newt
Requires: rp-pppoe, pptp-adsl, pptp-client
Requires: ez-ipupdate
Provides: snf


%package pt
Summary: Single Network Firewall
Group: System/Configuration/Other
PreReq: httpd-naat
PreReq: naat-frontend-www-pt
PreReq: naat-backend
PreReq: naat-monitoring
#PreReq: mandrake_doc_security-pt
Requires: sarg
Requires: curl
Requires: squid
Requires: squidGuard
Requires: DansGuardian
Requires: sarg
Requires: dhcp-server
Requires: bind
Requires: caching-nameserver
Requires: ipvsadm
Conflicts: Bastille
Requires: shorewall
Requires: iptoip
Requires: iptables
Requires: diald
Requires: prelude
Requires: snort
Requires: SnortSnarf
Requires: fwlogwatch
Requires: locales-pt
# DHCP Client
Requires: pump
Requires: dhcpcd
Requires: dhcp-client
Requires: dhcpxd
# SSH
Requires: openssh, openssh-server, openssh-clients
Requires: ntp
Requires: newt
Requires: rp-pppoe, pptp-adsl, pptp-client
Requires: ez-ipupdate
Provides: snf


%description en
SNF defines the components of a Single Network Firewall System

%description fr
SNF defines the components of a Single Network Firewall System

%description de
SNF defines the components of a Single Network Firewall System

%description it
SNF defines the components of a Single Network Firewall System

%description es
SNF defines the components of a Single Network Firewall System

%description pt
SNF defines the components of a Single Network Firewall System

%files en
%files fr
%files de
%files it
%files es
%files pt

%changelog
* Mon Jul 21 2003 Per yvind Karlsen <peroyvind@sintrax.net> 8.2-12mdk
- rebuild
- drop Prefix Tag

*  Thu Jun 13 2002 Philippe Libat <philippe@mandrakesoft.com> 8.2-11mdk
- fix ez-ipupdate require

*  Thu Apr 18 2002 Philippe Libat <philippe@mandrakesoft.com> 8.2-10mdk
- fix require naat-frontend-www-pt

*  Thu Apr 18 2002 Philippe Libat <philippe@mandrakesoft.com> 8.2-9mdk
- require pptp

*  Wed Apr 17 2002 Philippe Libat <philippe@mandrakesoft.com> 8.2-8mdk
- add snf-it,es,pt

*  Mon Mar 18 2002 Philippe Libat <philippe@mandrakesoft.com> 8.2-7mdk
- newt require

*  Fri Mar 15 2002 Philippe Libat <philippe@mandrakesoft.com> 8.2-6mdk
- fix require

* Mon Mar 11 2002 Florin <florin@mandrakesoft.com> 8.2-5mdk
- add requires on bind, caching-nameserver and DansGuardian

*  Fri Mar 08 2002 Philippe Libat <philippe@mandrakesoft.com> 8.2-4mdk
- fix require(bind)

*  Mon Feb 18 2002 Philippe Libat <philippe@mandrakesoft.com> 8.2-3mdk
- New Version: shorewall, New services

*  Thu Feb 14 2002 Philippe Libat <philippe@mandrakesoft.com> 8.2-2mdk
- fix spec

*  Thu Feb 14 2002 Philippe Libat <philippe@mandrakesoft.com> 8.2-1mdk
- new version: include shorewall, fwlogwath, remove bastille

*  Wed Dec 19 2001 Philippe Libat <philippe@mandrakesoft.com> 8.1-2mdk
- version snf

* Mon Nov 19 2001 Philippe Libat <philippe@mandrakesoft.com> 8.1-2mdk
- fix require on dhcp client
- fix require on ssh client&server

* Tue Nov 06 2001 Philippe Libat <philippe@mandrakesoft.com> 8.1-1mdk
- initial version for 8.1

